LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 05-29-2009, 06:59 AM   #1
manuleka
Member
 
Registered: Feb 2009
Posts: 114

Rep: Reputation: 16
error 2 on compiling driver for wireless adaptor


Code:
[manu@fedacrylic Module]$ cp Makefile.6 ./Makefile
[manu@fedacrylic Module]$ make install
make -C /lib/modules/2.6.27.24-170.2.68.fc10.i686/build
INSTALL_MOD_DIR=extra SUBDIRS=/media/disk/dwl-g122/2009_0206_RT73_Linux_STA_Drv1.1.0.2/Module \
	modules_install 
make: *** /lib/modules/2.6.27.24-170.2.68.fc10.i686/build: No such file or directory.  Stop.
make: *** [install] Error 2
[manu@fedacrylic Module]$
i get the above error when trying to compile driver for my USB adaptor, can anyone help me...

by the way i'm trying to compile driver for a D-Link DWL-G122 Version C

i get the above error when trying to compile driver for my USB adaptor, can anyone help me...

by the way i'm trying to compile driver for a D-Link DWL-G122 Version C
 
Old 05-29-2009, 10:24 AM   #2
fpmurphy
Member
 
Registered: Jan 2009
Location: /dev/ph
Distribution: Fedora, Ubuntu, Redhat, Centos
Posts: 299

Rep: Reputation: 62
Does the subdirectory /lib/modules/2.6.27.24-170.2.68.fc10.i686/build exist?
 
Old 05-29-2009, 05:03 PM   #3
manuleka
Member
 
Registered: Feb 2009
Posts: 114

Original Poster
Rep: Reputation: 16
Quote:
Originally Posted by fpmurphy View Post
Does the subdirectory /lib/modules/2.6.27.24-170.2.68.fc10.i686/build exist?
i'm not sure... i think i have to install build essentials or headers... problem is i don't have internet connection to Fedora at the moment...

Index of /ftp/fedora10-i386.updates
RPM resource kernel-devel-uname-r
http://rpmfind.net/linux/rpm2html/se...&system=&arch=

from the above links i manage to get

1) kernel-devel-2.6.27.24-170.2.68.fc10.i686

but can only find

2) kernel-headers-2.6.27.24-170.2.68.fc10.i386

is there a difference between installing a i386 and i686?

cheers

Last edited by manuleka; 05-29-2009 at 10:02 PM.
 
Old 05-29-2009, 10:57 PM   #4
manuleka
Member
 
Registered: Feb 2009
Posts: 114

Original Poster
Rep: Reputation: 16
i installed both rpms above which went well but encountered another issue

Code:
[manu@fedacrylic dwl-g122]$ cd ./rt73-k2wrlz-3.0.2/Module/
[manu@fedacrylic Module]$ make && make install
/usr/src/kernels/2.6.27.24-170.2.68.fc10.i686/scripts/gcc-version.sh: line 25: gcc: command not found
/usr/src/kernels/2.6.27.24-170.2.68.fc10.i686/scripts/gcc-version.sh: line 26: gcc: command not found
make[1]: gcc: Command not found
make[1]: Entering directory `/usr/src/kernels/2.6.27.24-170.2.68.fc10.i686'
  CC [M]  /home/manu/Download/aps/rpm/dwl-g122/rt73-k2wrlz-3.0.2/Module/rtmp_main.o
/bin/sh: gcc: command not found
make[2]: *** [/home/manu/Download/aps/rpm/dwl-g122/rt73-k2wrlz-3.0.2/Module/rtmp_main.o] Error 127
make[1]: *** [_module_/home/manu/Download/aps/rpm/dwl-g122/rt73-k2wrlz-3.0.2/Module] Error 2
make[1]: Leaving directory `/usr/src/kernels/2.6.27.24-170.2.68.fc10.i686'
rt73.ko failed to build!
make: *** [module] Error 1
[manu@fedacrylic Module]$ sudo make && make install
[sudo] password for manu: 
/usr/src/kernels/2.6.27.24-170.2.68.fc10.i686/scripts/gcc-version.sh: line 25: gcc: command not found
/usr/src/kernels/2.6.27.24-170.2.68.fc10.i686/scripts/gcc-version.sh: line 26: gcc: command not found
make[1]: gcc: Command not found
make[1]: Entering directory `/usr/src/kernels/2.6.27.24-170.2.68.fc10.i686'
  CC [M]  /home/manu/Download/aps/rpm/dwl-g122/rt73-k2wrlz-3.0.2/Module/rtmp_main.o
/bin/sh: gcc: command not found
make[2]: *** [/home/manu/Download/aps/rpm/dwl-g122/rt73-k2wrlz-3.0.2/Module/rtmp_main.o] Error 127
make[1]: *** [_module_/home/manu/Download/aps/rpm/dwl-g122/rt73-k2wrlz-3.0.2/Module] Error 2
make[1]: Leaving directory `/usr/src/kernels/2.6.27.24-170.2.68.fc10.i686'
rt73.ko failed to build!
make: *** [module] Error 1
[manu@fedacrylic Module]$
correct me if i'm wrong but it looks like i need gcc compiler? yea?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
ndiswrapper won't install driver for wireless adaptor. kwebbel Linux - Newbie 17 12-12-2008 01:28 AM
"Linux supported wireless card driver for Linksys wireless-g adaptor? northcoastrat Linux - Desktop 4 07-18-2008 06:33 PM
Ia there a driver for 2-Wire 802.11b wireless adaptor for Mandrake 10.1?? rhogskin Linux - Hardware 3 09-14-2007 10:45 AM
Driver for wireless adaptor Robin2 SUSE / openSUSE 2 02-24-2005 02:41 PM


All times are GMT -5. The time now is 09:50 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration